Skip to main content
GET
/
cloud
/
v1
/
ai
/
clusters
/
{project_id}
/
{region_id}
/
{cluster_id}
/
ports
List bare metal GPU cluster ports
curl --request GET \
  --url https://api.gcore.com/cloud/v1/ai/clusters/{project_id}/{region_id}/{cluster_id}/ports \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "id": "ae74714c-c380-48b4-87f8-758d656cdad6",
      "name": "my-port",
      "security_groups": [
        {
          "id": "4536dba1-93b1-492e-b3df-270b6b9f3650",
          "name": "my-security-group"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_id
string<uuid4>
required

Cluster unique identifier

Example:

"1aaaab48-10d0-46d9-80cc-85209284ceb4"

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
PortWithSecurityGroupsSerializer · object[]
required

Objects